#1150 closed defect (fixed)

nohup.out contains a lot of rasnet output

Reported by: dmisev Owned by: atoader
Priority: major Milestone: 9.2
Component: rasnet Version: development
Keywords: Cc: pbaumann
Complexity: Medium

Description

.. which mostly looks like it's not supposed to be there.

Change History (16)

comment:1 Changed 18 months ago by atoader

Can you be more specific?

comment:2 Changed 18 months ago by dmisev

It looks like rasmgr's output is going in nohup.out?

rasmgr: rasdaman server manager tool. rasdaman v9.2.0-beta1-g516d62f -- generated on 15.01.2016 12:21:44.
Copyright 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014 Peter Baumann, rasdaman GmbH.
Rasdaman community is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. 
Rasdaman community is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details. 


 rasmgr running on , listening on port 700115/01/2016 15:20:37.422 INFO  [trivial] Started RasMgrConfig initialization
15/01/2016 15:20:37.422 INFO  [trivial] Finished RasMgrConfig initialization
15/01/2016 15:20:37.422 INFO  [trivial] Starting rasmanager.
15/01/2016 15:20:37.422 INFO  [trivial] Loading rasmgr configuration.
15/01/2016 15:20:37.422 DEBUG [trivial] [dimitar@hifi] [virtual void rasmgr::UserManager::loadUserInformation()] [usermanager.cc:238] Opening authentication file:/home/dimitar/projects/rasdaman/community/install/etc//rasmgr.auth
15/01/2016 15:20:37.422 DEBUG [trivial] [dimitar@hifi] [void rasmgr::ConfigurationManager::loadRasMgrConf()] [configurationmanager.cc:68] Opening rasmanager configuration file:/home/dimitar/projects/rasdaman/community/install/etc//rasmgr.conf
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.423 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.424 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.424 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.424 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
15/01/2016 15:20:37.424 DEBUG [trivial] [dimitar@hifi] [std::string rasmgr::ControlCommandExecutor::sudoExecuteCommand(const string&)] [controlcommandexecutor.cc:86] The result of rascontrol:
...

comment:3 Changed 18 months ago by bphamhuu

@Atoader: it is also good if you remove this log from petascope.log also (I just bring here to discuss).

4999999u, content-type: application/grpc, te: trailers, user-agent: grpc-java-netty], streamDependency=0, weight=16, exclusive=false, padding=0, endStream=false
------------------------------------
[17:49:15] DEBUG NettyClientTransport@71: 
----------------OUTBOUND--------------------
DATA: streamId=13, padding=0, endStream=true, length=5, bytes=0000000000
------------------------------------
[17:49:15] DEBUG NettyClientTransport@71: 
----------------INBOUND--------------------
HEADERS: streamId=13, headers=DefaultHttp2Headers[:status: 200, grpc-encoding: identity, grpc-accept-encoding: identity,deflate,gzip, content-type: application/grpc, grpc-timeout: 5S], padding=0, endStream=false
------------------------------------
[17:49:15] DEBUG NettyClientTransport@71: 
----------------INBOUND--------------------
DATA: streamId=13, padding=0, endStream=false, length=7, bytes=00000000020801
------------------------------------
[17:49:15] DEBUG NettyClientTransport@71: 
----------------INBOUND--------------------
HEADERS: streamId=13, headers=DefaultHttp2Headers[grpc-status: 0], padding=0, endStream=true
------------------------------------
[17:49:15] DEBUG NettyClientTransport@71: 

comment:4 Changed 18 months ago by pbaumann

  • Cc pbaumann added

yes, rasmgr log was always nohup.out because (at least earlier versions of nohup) did not allow a redirect.

Re patch: doubtful about introducing another log file. Why not use log-server?
BTW, what would nohup.out then contain? We already have a large number of log files, will be even harder to correlate.

Last edited 18 months ago by pbaumann (previous) (diff)

comment:5 Changed 18 months ago by dmisev

I agree that a separate config file is probably unnecessary, log-server.conf would fit as well.

comment:6 Changed 18 months ago by atoader

I also thought that one configuration file is sufficient until I tried to debug rasmgr without creating tons of debug statements for the servers.
There is also one difference between the log configuration of rasmgr and the log configuration of rasserver.
By default, according to log-server.conf, the log output of the servers goes into files. The log output of rasmgr used to go the console which got redirected to nohup.out.
By providing a log-rasmgr.conf you can still direct the log output of rasmgr to nohup.out or you can put it in a separate file.

The beauty of having these configuration files is that the log output, format and location can all be configured before starting rasdaman so we can maintain backwards compatibility while allowing customization.

comment:7 Changed 18 months ago by dmisev

Ok sounds convincing, I change my mind and vote for log-rasmgr.conf.

The old rasmgr's output goes to rasmgr.<pid>.log btw as far as I know.

comment:8 Changed 18 months ago by pbaumann

  • what about the output of start/stop_rasdaman.sh?
  • some partners do log evaluation for gathering statistics, are we sure they are not affected?

comment:9 follow-up: Changed 18 months ago by atoader

The output of start/stop_rasdaman.sh is not affected by this change.

Partners actually benefit from this by being able to change the format of the logs to their desire.

comment:10 in reply to: ↑ 9 Changed 18 months ago by pbaumann

Replying to atoader:

The output of start/stop_rasdaman.sh is not affected by this change.

ok, so still nohup.out. Fine with me, just let us have a complete logging picture on a wiki page.

Partners actually benefit from this by being able to change the format of the logs to their desire.

did you check?

comment:11 Changed 18 months ago by atoader

If a partner wants to modify the format of the log output he can change log-rasmgr.conf. The possible log format modifiers are specified on the easylogging page. I am also using this in practice.

comment:12 Changed 17 months ago by atoader

  • Resolution set to fixed
  • Status changed from new to closed

comment:13 Changed 17 months ago by dmisev

Every three seconds this is logged in the rasmgr log. I think it would be
better to make this TRACE level.

 [INFO] - 19/01/2016 15:27:55.717: Evaluating server groups.

comment:14 Changed 17 months ago by dmisev

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:15 Changed 17 months ago by pbaumann

definitely, we need to be _very_ careful. In the past log flooding has led to severe problems (think, eg, of log files sitting on the root partition).
Default logging must be minimal, ideally 1 line per request (I know we have a few more classically).

Last edited 17 months ago by pbaumann (previous) (diff)

comment:16 Changed 17 months ago by dmisev

  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.